/*
 * Copyright (c) 2011, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 * $Id:$
 */
package com.sun.ts.tests.servlet.api.javax_servlet.asynccontext;

import java.io.IOException;
import javax.servlet.AsyncEvent;
import javax.servlet.AsyncListener;

public final class ACListenerBad implements AsyncListener {
    
     public ACListenerBad() throws IOException {
         throw new IOException("Make sure that ACListenerBad does not instantiate");
     }

    public void onError(AsyncEvent event) throws IOException {
        event.getAsyncContext().getResponse().getWriter().println("in onError method of ACListenerBad");
    }

    public void onStartAsync(AsyncEvent event) throws IOException {
        event.getAsyncContext().getResponse().getWriter().println("in onStartAsync method of ACListenerBad");
    }

    public void onComplete(AsyncEvent event) throws IOException {
        event.getAsyncContext().getResponse().getWriter().println("in onComplete method of ACListenerBad");
    }

    public void onTimeout(AsyncEvent event) throws IOException {
        event.getAsyncContext().getResponse().getWriter().println("in onTimeout method of ACListenerBad");
    }
}
