/*
 * $Id$
 * Copyright (c) 2007, 2009, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package com.sun.ts.tests.servlet.api.javax_servlet_http.httpsessionx;

import com.sun.ts.tests.servlet.common.util.ServletTestUtil;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import java.io.IOException;
import java.io.PrintWriter;

public class  InvalidateHttpSession extends HttpServlet {
    
    public void service(HttpServletRequest request, HttpServletResponse response)
                          throws ServletException, IOException {
        boolean passed = false;
 
        PrintWriter pw = response.getWriter();
        HttpSession session = request.getSession(false);
        session.invalidate();
        
        // session is invalidated. The method should return false.
        if (!request.isRequestedSessionIdValid()) {
            passed = true;
            pw.println("From invalidateHttpSession: Session is invalidated ");
        } else {
            pw.println("From invalidateHttpSession: Session is not invalidated ");
        }
        ServletTestUtil.printResult(pw, passed);
    }
}
